

PURPOSE:
--------

	In France, there is no petrol, so instead of looking for oil pockets,
GIS engineers apply predictive methods to a stratification model of their
brains, in order to find ideas.

    This model is derived from a stack of medical images which the engineers
get from the medical services of their company.

    By combining such advanced visualization techniques as

            Volume Rendering (3D textures),
            IsoSurface Reconstruction (3D geometry),
            Capping (boolean volume intersection),

    this model can be sliced in a number of ways to determine the most probable
thought-flow paths.



MANIPULATION:

----------------------------  Main Window  -------------------------------

    LEFTMOUSE        : Translation          t:  toggle textured outlining
    MIDDLEMOUSE      : Rotation             a:  toggle antialiasing
    RIGHTMOUSE       : Popup menu           c:  toggle capping/clipping
    MIDDLE&LEFTMOUSE : Zoom                 o:  toggle outlining
                                            p:  toggle polygon offset
                                            h:  toggle hiddenline removal
                                            b:  toggle outlining mode to
                                                glPolygonMode( GL_LINE )

----------------------------  Manipulator  -------------------------------

    MIDDLEMOUSE :                           a:  toggle antialiasing
	rotate capping plane
    MIDDLE&LEFTMOUSE :
        rotate Manipulator view
    LEFTMOUSE :               
        translate capping plane along normal


--------------------------- ColorMap Editor ------------------------------


    LEFTMOUSE                               r:  select Red curve
        On a curve:                         g:  select Green curve
            insert/select point             b:  select Blue curve
        At tangent end:                     a:  select Alpha curve*
            enable tangent edit
        Everywhere else:                    BACKSPACE, DELETE
            deselection                         delete current point
                                                and select previous one
    RIGHTMOUSE
        popup menu                          ARROW keys
                                                move current point

*Geometry is recomputed, to exclude ALPHA=0


    This demonstration prototype was developped with the collaboration of the
I.F.P. (French Institute of Petrol), in France.

